Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.execute
Class ArgumentsProvider

    java.lang.Object
      org.jboss.txbridge.ba.execute.ArgumentsProvider

All Implemented Interfaces:
  DataProvider

    public class ArgumentsProvider

extends java.lang.Object
implements DataProvider

Arguments Provider component provides methods to obtain necessary data, which has been remembered during execution of the original method. This data will be used when invoking the datamgmt action.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Field Summary
`private static org.apache.log4j.Logger` | `log`

Constructor Summary
`ArgumentsProvider()`

Method Summary
`java.lang.Object[]` | `getArguments(MethodDescription md, ExecutionDataProvider cdp)` This method
`java.lang.Class[]` | `getArgumentTypes(java.lang.Object[] arguments)` This method takes an array of objects as an argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static org.apache.log4j.Logger log

Constructor Detail

### ArgumentsProvider

    public ArgumentsProvider()

Method Detail

### getArguments

    public java.lang.Object[] getArguments(MethodDescription md,
                                           ExecutionDataProvider cdp)
                                    throws ActionExecutionException

  This method

  Specified by:
    `getArguments` in interface `DataProvider`
  Parameters:
    `md` - is the service description.
    `cdp` - is the datamgmt data provider.
  Returns:
    array of objects.
  Throws:
    `ActionExecutionException`

### getArgumentTypes

    public java.lang.Class[] getArgumentTypes(java.lang.Object[] arguments)

  This method takes an array of objects as an argument. It returns an array of types of those objects.

  Specified by:
    `getArgumentTypes` in interface `DataProvider`
  Parameters:
    `arguments` - is the array containing objects, that will be used as arguments.
  Returns:
    array containing types of those objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD